<div>
    <button class="back_button" mat-button (click)="location.back()">
        <mat-icon>keyboard_arrow_left</mat-icon>
        Regresar
    </button>
    <div class="share">
        <h2 class="share__title">Comparte tu comercio con el mundo</h2>
        <h3 class="share__title">Permitenos ayudarte a compartir de distintas maneras</h3>
        <div>
            <h2>
                Entrar a la página de mi comercio
            </h2>
            <a *ngIf="qr_code_url" [href]="qr_code_url"><h2><b>{{commerce_data.name.split("-").join(" ")}}</b></h2></a>
        </div>
    </div>
    <div *ngIf="qr_code_url" class="share__container">
        <div class="share__item">
            <h2>Usa el codigo QR de tu comercio</h2>
            <h3>Descarga la imagen y muestrala a tus clientes o pegala en tu comercio</h3>
            <qrcode #qr [colorLight]="'#F5F3F5'" [qrdata]="qr_code_url" [width]="256" [errorCorrectionLevel]="'M'"></qrcode>
            <div>
                <button mat-button (click)="downloadQR(qr)">
                    Descargar código QR
                </button>
            </div>
        </div>
        <div class="share__item">
            <h2>Algo mas visual para tu comercio</h2>
            <h3>Descarga el pdf, imprimelo y pegalo frente a tu comercio</h3>
            <img style="margin-top: 10px; margin-bottom: 10px;" src="assets/images/document.png" width="210px">
            <div>
                <button style="margin-top: 20px;" mat-button (click)="downloadPDF(qr)">
                    Descargar el PDF 
                </button>
            </div>
        </div>
    </div>
</div>